VismaBouwsoftAPICalls.v1_POST_PurchaseInvoices Method
v1_POST_PurchaseInvoices() as String

This API call is used to add a(n) PurchaseInvoice

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /PurchaseInvoices
or
API Path: /PurchaseInvoices/{id}/Upload

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
company_id 1 tpLong 0 No Yes No
nr 1 tpLong 0 No Yes No
date 3 tpDate 0 No Yes No
expirationdate 3 tpDate 0 No Yes No
nr_supplier 2 tpString 100 No Yes No
concerning 2 tpString 250 No Yes No
paymentnotification 2 tpString 200 No Yes No
ledger 1 tpLong 0 No Yes No
depreciation 4 tpDouble 0 No Yes No
accountnumber 2 tpString 30 No Yes No
address_id 1 tpLong 0 No Yes No
address_name 2 tpString 150 No Yes No
address_address 2 tpString 63 No Yes No
address_addressline2 2 tpString 63 No No No
address_countrycode 2 tpString 2 No Yes No
address_zipcode 2 tpString 15 No Yes No
address_vatnr 2 tpString 30 No Yes No
commercialdiscount 4 tpDouble 0 No Yes No
cashdiscount 4 tpDouble 0 No Yes No
cashdiscount_amount 8 tpCurrency 0 No Yes No
cashdiscount_approved 5 tpBool 0 No Yes No
basis1 8 tpCurrency 0 No Yes No
vatid1 1 tpLong 0 No Yes No
vatcode1 2 tpString 5 No Yes No
vatpercent1 4 tpDouble 0 No Yes No
vatcocontractor1 5 tpBool 0 No Yes No
amountexclvat1 8 tpCurrency 0 No No No
taxableamount1 8 tpCurrency 0 No No No
vatamount1 8 tpCurrency 0 No No No
amountinclvat1 8 tpCurrency 0 No No No
basis2 8 tpCurrency 0 No Yes No
vatid2 1 tpLong 0 No Yes No
vatcode2 2 tpString 5 No Yes No
vatpercent2 4 tpDouble 0 No Yes No
vatcocontractor2 5 tpBool 0 No Yes No
amountexclvat2 8 tpCurrency 0 No No No
taxableamount2 8 tpCurrency 0 No No No
vatamount2 8 tpCurrency 0 No No No
amountinclvat2 8 tpCurrency 0 No No No
basis3 8 tpCurrency 0 No Yes No
vatid3 1 tpLong 0 No Yes No
vatcode3 2 tpString 5 No Yes No
vatpercent3 4 tpDouble 0 No Yes No
vatcocontractor3 5 tpBool 0 No Yes No
amountexclvat3 8 tpCurrency 0 No No No
taxableamount3 8 tpCurrency 0 No No No
vatamount3 8 tpCurrency 0 No No No
amountinclvat3 8 tpCurrency 0 No No No
basis4 8 tpCurrency 0 No Yes No
vatid4 1 tpLong 0 No Yes No
vatcode4 2 tpString 5 No Yes No
vatpercent4 4 tpDouble 0 No Yes No
vatcocontractor4 5 tpBool 0 No Yes No
amountexclvat4 8 tpCurrency 0 No No No
taxableamount4 8 tpCurrency 0 No No No
vatamount4 8 tpCurrency 0 No No No
amountinclvat4 8 tpCurrency 0 No No No
basis5 8 tpCurrency 0 No Yes No
vatid5 1 tpLong 0 No Yes No
vatcode5 2 tpString 5 No Yes No
vatpercent5 4 tpDouble 0 No Yes No
vatcocontractor5 5 tpBool 0 No Yes No
amountexclvat5 8 tpCurrency 0 No No No
taxableamount5 8 tpCurrency 0 No No No
vatamount5 8 tpCurrency 0 No No No
amountinclvat5 8 tpCurrency 0 No No No
totalsbasedonvatcodebreakdown 5 tpBool 0 No No No
amountexclvat_total 8 tpCurrency 0 No Yes No
vatamount_total 8 tpCurrency 0 No Yes No
amountinclvat_total 8 tpCurrency 0 No No No
paid 5 tpBool 0 No Yes No
amountoutstanding 8 tpCurrency 0 No No No
amountpaid 8 tpCurrency 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/PurchaseInvoices

API Path: /PurchaseInvoices/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PurchaseInvoices

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: trbfWxfkIOzSfGPDktzRqOVbftGVIOmOjDjtzmmDttjGfDlVGl
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: columns, ParameterValue: company_id=1,address_id=329299,date=’2017–04–20’

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 937,
    "company_id": 1,
    "nr": 202000142,
    "date": "2017–04–20",
    "expirationdate": "2017–05–20",
    "nr_supplier": "",
    "concerning": "",
    "paymentnotification": "",
    "ledger": 0,
    "depreciation": 100,
    "accountnumber": "",
    "address_id": 329299,
    "address_name": "DirkAPISupp",
    "address_address": "Molleweg 9",
    "address_addressline2": "",
    "address_countrycode": "BE",
    "address_zipcode": "8377",
    "address_city": "Meetkerke",
    "address_vatnr": "",
    "commercialdiscount": 0,
    "cashdiscount": 0,
    "cashdiscount_amount": 0.0,
    "cashdiscount_approved": false,
    "basis1": 0.0,
    "vatid1": 7,
    "vatcode1": "21",
    "vatpercent1": 21,
    "vatcocontractor1": false,
    "amountexclvat1": 0.0,
    "taxableamount1": 0.0,
    "vatamount1": 0.0,
    "amountinclvat1": 0.0,
    "basis2": 0.0,
    "vatid2": 23,
    "vatcode2": "21B",
    "vatpercent2": 21,
    "vatcocontractor2": false,
    "amountexclvat2": 0.0,
    "taxableamount2": 0.0,
    "vatamount2": 0.0,
    "amountinclvat2": 0.0,
    "basis3": 0.0,
    "vatid3": 8,
    "vatcode3": "21M",
    "vatpercent3": 21,
    "vatcocontractor3": true,
    "amountexclvat3": 0.0,
    "taxableamount3": 0.0,
    "vatamount3": 0.0,
    "amountinclvat3": 0.0,
    "basis4": 0.0,
    "vatid4": 28,
    "vatcode4": "6B",
    "vatpercent4": 6,
    "vatcocontractor4": false,
    "amountexclvat4": 0.0,
    "taxableamount4": 0.0,
    "vatamount4": 0.0,
    "amountinclvat4": 0.0,
    "basis5": 0.0,
    "vatid5": 11,
    "vatcode5": "19FR",
    "vatpercent5": 19,
    "vatcocontractor5": false,
    "amountexclvat5": 0.0,
    "taxableamount5": 0.0,
    "vatamount5": 0.0,
    "amountinclvat5": 0.0,
    "totalsbasedonvatcodebreakdown": false,
    "amountexclvat_total": 0.0,
    "vatamount_total": 0.0,
    "amountinclvat_total": 0.0,
    "paid": false,
    "amountoutstanding": 0.0,
    "amountpaid": 0.0,
    "ts_lastupdate": "2026–05–07 09:20:10"
  }
]
}

https://ra.bouwsoft.be/api/v1/PurchaseInvoices

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: jmrfWxfmIfzSfDkVjtzRqODUfIUjIOtAjtVtzGbjIbbGAOUOGU
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: columns, ParameterValue: company_id=1,address_id=329299,date=’2017–04–20’,basis1=100

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 937,
    "company_id": 1,
    "nr": 202000142,
    "date": "2017–04–20",
    "expirationdate": "2017–05–20",
    "nr_supplier": "",
    "concerning": "",
    "paymentnotification": "",
    "ledger": 0,
    "depreciation": 100,
    "accountnumber": "",
    "address_id": 329299,
    "address_name": "DirkAPISupp",
    "address_address": "Molleweg 9",
    "address_addressline2": "",
    "address_countrycode": "BE",
    "address_zipcode": "8377",
    "address_city": "Meetkerke",
    "address_vatnr": "",
    "commercialdiscount": 0,
    "cashdiscount": 0,
    "cashdiscount_amount": 0.0,
    "cashdiscount_approved": false,
    "basis1": 100.0,
    "vatid1": 7,
    "vatcode1": "21",
    "vatpercent1": 21,
    "vatcocontractor1": false,
    "amountexclvat1": 100.0,
    "taxableamount1": 100.0,
    "vatamount1": 21.0,
    "amountinclvat1": 121.0,
    "basis2": 0.0,
    "vatid2": 23,
    "vatcode2": "21B",
    "vatpercent2": 21,
    "vatcocontractor2": false,
    "amountexclvat2": 0.0,
    "taxableamount2": 0.0,
    "vatamount2": 0.0,
    "amountinclvat2": 0.0,
    "basis3": 0.0,
    "vatid3": 8,
    "vatcode3": "21M",
    "vatpercent3": 21,
    "vatcocontractor3": true,
    "amountexclvat3": 0.0,
    "taxableamount3": 0.0,
    "vatamount3": 0.0,
    "amountinclvat3": 0.0,
    "basis4": 0.0,
    "vatid4": 28,
    "vatcode4": "6B",
    "vatpercent4": 6,
    "vatcocontractor4": false,
    "amountexclvat4": 0.0,
    "taxableamount4": 0.0,
    "vatamount4": 0.0,
    "amountinclvat4": 0.0,
    "basis5": 0.0,
    "vatid5": 11,
    "vatcode5": "19FR",
    "vatpercent5": 19,
    "vatcocontractor5": false,
    "amountexclvat5": 0.0,
    "taxableamount5": 0.0,
    "vatamount5": 0.0,
    "amountinclvat5": 0.0,
    "totalsbasedonvatcodebreakdown": true,
    "amountexclvat_total": 100.0,
    "vatamount_total": 21.0,
    "amountinclvat_total": 121.0,
    "paid": true,
    "amountoutstanding": 121.0,
    "amountpaid": 0.0,
    "ts_lastupdate": "2026–05–07 09:24:56"
  }
]
}

https://ra.bouwsoft.be/api/v1/PurchaseInvoices

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: jmrfWxfmIfzSfDkVjtzRqODUfIUjIOtAjtVtzGbjIbbGAOUOGU
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: columns, ParameterValue: company_id=1,address_id=329299,date=’2017–04–20’,amountexclvat_total=100,vatamount_total=21

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 938,
    "company_id": 1,
    "nr": 202000143,
    "date": "2017–04–20",
    "expirationdate": "2017–05–20",
    "nr_supplier": "",
    "concerning": "",
    "paymentnotification": "",
    "ledger": 0,
    "depreciation": 100,
    "accountnumber": "",
    "address_id": 329299,
    "address_name": "DirkAPISupp",
    "address_address": "Molleweg 9",
    "address_addressline2": "",
    "address_countrycode": "BE",
    "address_zipcode": "8377",
    "address_city": "Meetkerke",
    "address_vatnr": "",
    "commercialdiscount": 0,
    "cashdiscount": 0,
    "cashdiscount_amount": 0.0,
    "cashdiscount_approved": false,
    "basis1": 0.0,
    "vatid1": 7,
    "vatcode1": "21",
    "vatpercent1": 21,
    "vatcocontractor1": false,
    "amountexclvat1": 0.0,
    "taxableamount1": 0.0,
    "vatamount1": 0.0,
    "amountinclvat1": 0.0,
    "basis2": 0.0,
    "vatid2": 23,
    "vatcode2": "21B",
    "vatpercent2": 21,
    "vatcocontractor2": false,
    "amountexclvat2": 0.0,
    "taxableamount2": 0.0,
    "vatamount2": 0.0,
    "amountinclvat2": 0.0,
    "basis3": 0.0,
    "vatid3": 8,
    "vatcode3": "21M",
    "vatpercent3": 21,
    "vatcocontractor3": true,
    "amountexclvat3": 0.0,
    "taxableamount3": 0.0,
    "vatamount3": 0.0,
    "amountinclvat3": 0.0,
    "basis4": 0.0,
    "vatid4": 28,
    "vatcode4": "6B",
    "vatpercent4": 6,
    "vatcocontractor4": false,
    "amountexclvat4": 0.0,
    "taxableamount4": 0.0,
    "vatamount4": 0.0,
    "amountinclvat4": 0.0,
    "basis5": 0.0,
    "vatid5": 11,
    "vatcode5": "19FR",
    "vatpercent5": 19,
    "vatcocontractor5": false,
    "amountexclvat5": 0.0,
    "taxableamount5": 0.0,
    "vatamount5": 0.0,
    "amountinclvat5": 0.0,
    "totalsbasedonvatcodebreakdown": false,
    "amountexclvat_total": 100.0,
    "vatamount_total": 21.0,
    "amountinclvat_total": 121.0,
    "paid": true,
    "amountoutstanding": 121.0,
    "amountpaid": 0.0,
    "ts_lastupdate": "2026–05–07 09:24:58"
  }
]
}

/PurchaseInvoices/{id}/Upload

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PurchaseInvoices/937/Upload

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lfIfWxfGIGzSfODGAfzRqVDrfGIVfGlbfPtkzOVAAjjGtVPGjk

Body Parameters :
ParameterName: fileParameterValue: tptype.txt

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "name": "tptype.txt",
    "path_display": "",
    "path_lower": "",
    "id": "",
    "client_modified": "2026–05–07T09:20:11Z",
    "server_modified": "2026–05–07T09:20:11Z",
    "rev": "",
    "size": 425,
    "is_downloadable": true,
    "checksum": "SVQtyH2ecehIR6cPQRiuUmRv/909KSXIu7xlbINMU6Q="
  }
]
}